Name: xsane
Summary: An X Window System front-end for the SANE scanner interface.
Version: 0.61
Release: 3
Source: %{name}-%{version}.tar.gz
License: GPL
URL: http://www.wolfsburg.de/~rauch/sane/sane-xsane.html
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: sane >= 1.0
BuildPrereq: sane-devel gimp-devel

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

%package gimp
Summary: A GIMP plugin which provides a scanner interface.
Group: Applications/Multimedia
Requires: sane >= 1.0

%description gimp
This package is the same as the regular XSane program, but it works as
a GIMP plugin.  You must have GIMP installed to use this package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure --with-install-root=%{buildroot}
make CXXFLAGS="$RPM_OPT_FLAGS"

mv src/xsane src/xsane-gimp

make clean
%configure --with-install-root=%{buildroot} --disable-gimp
make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install src/xsane-gimp %{buildroot}%{_bindir}

mkdir -p %{buildroot}/etc/X11/applnk/Graphics

cat > %{buildroot}/etc/X11/applnk/Graphics/xsane.desktop <<EOF
[Desktop Entry]
Name=XSane
Name[sv]=XSane
Type=Application
Description=A GIMP plugin which provides a scanner interface.
Description[sv]=Ett GIMP-insticksprogram som erbjuder ett bildlsargrnssnitt.
Exec=xsane
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc xsane.[A-Z]*
%config(missingok) /etc/X11/applnk/Graphics/xsane.desktop
%{_bindir}/xsane
%{_mandir}/man1/*
%{_datadir}/sane

%files gimp
%defattr(-,root,root)
%{_bindir}/xsane-gimp

%post gimp
if [ -d /usr/lib/gimp/1.1 ]; then
  if [ ! -s /usr/lib/gimp/1.1/plug-ins/xsane ]; then
    ln -s ../../../../bin/xsane-gimp /usr/lib/gimp/1.1/plug-ins/xsane
  fi
elif [ -d /usr/lib/gimp/1.0 ]; then
  if [ ! -s /usr/lib/gimp/1.0/plug-ins/xsane ]; then
    ln -s ../../../../bin/xsane-gimp /usr/lib/gimp/1.0/plug-ins/xsane
  fi
fi


%postun gimp
if [ $1 = 0 ]; then
  rm -f /usr/lib/gimp/1.1/plug-ins/xsane
  rm -f /usr/lib/gimp/1.0/plug-ins/xsane
fi

%changelog
* Wed Aug 23 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp-1.1.25

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- added swedish translation (Bug #15316)

* Fri Aug 4 2000 Than Ngo <than@redhat.de>
- fix, shows error dialogbox if no scanner exists (Bug #15445)
- update to 0.61

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.24
- make clean before building non gimp version

* Fri Jun 30 2000 Preston Brown <pbrown@redhat.com>
- made gimp subpkg

* Wed Jun 14 2000 Preston Brown <pbrown@redhat.com>
- desktop entry added

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- fixed gimp link
- FHS paths

* Tue May 30 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.59

* Sat Jan 29 2000 TIm Powers <timp@redhat.com>
- fixed bug 8948

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 0.47
- gzip man pages

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- update to 0.30
- added %defattr
- built for 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0






